AutoCAD Inventor :: Sketch Dimensioning - Midpoint
Apr 30, 2013It must surely be in there somewhere but I cant find a way to dimension to a line's midpoint in a sketch.
View 3 RepliesIt must surely be in there somewhere but I cant find a way to dimension to a line's midpoint in a sketch.
View 3 RepliesHow would one add a sketch-point to a midpoint of an arc? For a SketchLine its easy...
oSketch.GeometricConstraints.AddMidpoint oSketchPoint, oSketchLine
However, I can't see how to do the same operation to find the midpoint of a SketchArc. The interface of course has a selection filter for this so I assume the API can do the same?
When I use a tool such as 'move'/'select base point' in the sketch environment, I used to be able to select line midpoints.
Is this no longer possible? My constraint options seem to be fine.
Recently upgraded to 2013
I am trying to use sketch points in drawing for dimensioning. Below is portion of my code. The code fails when AddLinear is called. Is it even possible to use drawing sketch points for dimensioning?
invSheet = invDrawingDoc.ActiveSheet
Dim oTransGeom As Inventor.TransientGeometry= invApp.TransientGeometry
Dim pt1 AsPoint= oTransGeom.CreatePoint(0, 0, flangeOD / 2)
[Code]....
I am creating a part that consists of a series of intermediate Lofts. The various Loft termination profiles are sketched on a series of stacked planes, most of which are parallel to one another. I have a Work Axis (oriented at an angle off of true vertical) that penetrates all of these sketch planes, essentially forming a "central axis" for my part. Most, but not all, of my sketch planes are normal (perpendicular) to that axis.
I want to use my "central axis" as a reference point in each of my sketches, i.e., the point where the axis intersects the sketch plane. I am having a minor difficulty.
When I project my central axis into a sketch whose plane is normal (perpendicular) to the axis, Inventor displays a reference point where the axis penetrates the plane and I can dimension my sketch geometry relative to that point. Conversely, no such point is displayed when I project the axis into a sketch plane that is NOT normal to the axis.
Is this correct behavior? To have a dimension able point on my "non-normal" sketch planes, must I create explicit Work Points to mark the intersection between my Axis and such planes, and then project those points into the related sketches?
Im trying to dimension the midpoints of a series vertical beams thats perpendicular to the x axis. How to dimension the midpoint of one beam to the midpoint of another beam?
Normally i just select dimlinear and then ctl + right click "mid between 2 points", but this way just seems time consuming when you have a series of them to do, is there a better way to dimension a series of beams from one midpoint to another midpoint?
I’m looking to model abasic part in 3D then throw some dimensions on it in paper space for quotationpurposes. The problem I have is even when I try aligned dimensions theextension lines from the dimension are not in the same line if vision as themodel (and this just looks awful). The parts are so basic they do not warrant a proper 3 view orthographicdrawing as a simple 3D sketch will suffice…
View 9 Replies View RelatedHow to place the “midpoint” of window on the midpoint of wall?
In the screenshot below, I wanted to place the window from its midpoint to the midpoint of the wall. How this can be performed on Revit?
IV11, IDW.Is there a way to Disable Midpoint snapping while Dimensioning?It seems to get in the way a lot.A lot of the Lines i have to dimension are small and it's Always trying to dimension to the Midpoints of them rather than end points.Not a bad concept.. just in my case it really gets in the way..So just wondering if there is a setting somewhere to turn it off?
View 9 Replies View RelatedI need to define a mate constraint with a workplane as EntityOne and a midpoint from an Edge as EntityTwo.
API-Help tells me valid objects are planar faces, linear edges, vertices, cylindrical faces, conical faces, spherical faces, revolved faces, work planes, work axes, and work points.
The Edge object gives me StartVertex and StopVertex, but what about the midpoint?
Is it possible to create a work point on the midpoint of the curved edge of any feature.
I was not able to access the midpoint of an edge.
Config :: Intel (R) Xeon (R) CPU E31245 @ 3.30 GHz, 16.0 GB, 64bit win7
Inventor 2013 and Vault Basic 2013
I've created a shared sketch and have used it with various features. Sometime those features are suppressed. The model works fine but the shared sketch generates a sketch doctor error because the feature that created it has been suppressed. Is there anyway to make the sketch suppressed so it doesn't trigger a sketch doctor error? Inventor 2013
View 2 Replies View RelatedHow do I duplicate the 2D line work from a part level sketch into a drawing level (overlay) sketch?
I started a simple 2D piping system diagram sketch by opening a new part file and using a sketch to stick draw the system schematic including some annotations. Then I opened a new drawing file and made a base view of the part file to bring a view of the original sketch into the drawing.
I realize now that it would have been much easier to have created the schematic directly in a 2D sketch at the drawing level, which would have made editing the annotations much easier at the drawing level, and there is really no need for the part file to exist. I have no intention of creating a 3D model or "real" part in the .ipt file, was just using it as a jumping off point to sketch.
I was thinking that I could correct my error in judgment by just copying the sketch and pasting it into a new sketch on the drawing, but it doesn't want to work that way. I have tried copying both the whole sketch at the browser level, and the entire sketch contents (all of the lines and annotations) from the opened part sketch, but when I attempt to paste either of those into the drawing, paste does not seem to be an option. I'd rather not have to draw the whole thing again, as in typical fashion, my once simple sketch has grown in proportion and complexity from its simple beginning.
I was trying to query some sketch points data from a profile Path using code as below. However the program stopped without telling the reason.
Code below:
i = 0;
foreach (ProfileEntity oSourceProfileEntity in oProfilePath) { switch (oProfilePath[i].SketchEntity.Type) { case ObjectTypeEnum.kSketchArcObject: { SketchArc srcSkArc = default(SketchArc); srcSkArc = (SketchArc) oSourceProfileEntity.SketchEntity; // error points[i] = srcSkArc.StartSketchPoint.Geometry; break; } default: { SketchLine srcSkLine = default(SketchLine); srcSkLine =(SketchLine) oProfilePath[i].SketchEntity; // error points[i] = srcSkLine.StartSketchPoint.Geometry; break; } } i++; }
First we imported an ".igs" file to inventor, which produced "wires". Then by promoting the wires it produced a 3-d sketch.
The model is in one plane and 2-D, and we are trying to use Ansys 2-D analysis, but in-order to do so it needs to be in a 2-D sketch.
The model is too large to be redrawn on a 2-D plane, how to convert it to a 2-D sketch
want to change sketch 2013 into the sketch of 2010
View 1 Replies View RelatedWhen I edit certain sketched some other sketches disappear. see attached.
This is causing modelling to slow down as I can not project lines from the sketch that has disappeared.
After I create a adaptive part from projected sketch. How to modify the sketch? Please see the part attached.
View 6 Replies View Relatedwhat is the difference between a sketch and a planar sketch?
View 2 Replies View RelatedI need to know how to dimension to a theoretical sharp on bent flanges. In an .idw it wont snap to the sharp and when a schetch is created for one it does not dimension between them only one or the other.
View 2 Replies View RelatedIs there a way to change the way the dimensions text shows up at arbitrary angles and make them all uniform?
View 4 Replies View RelatedI'm having trouble with constaints, I'd like to constrain my sketch to a point in another sketch on a different plane. Is this posible in Inventor? If so how? If Inventor works differently how would you get a points in one sketch to be linked to points another?
View 2 Replies View RelatedThis is probably a simple one, but when I dimension from an edge to the tangent of a radius or circle. It always snaps to the center. How do I get the dimension to snap to the tangent point?
View 9 Replies View RelatedIs there a way that i can Double Dimensioning? as to have one dimension in decimal and one in fraction all in the same dimension line?
Im using 2011 RS
I needed to create new dimensioning styles - that I can do. However, there doesn't seem to be a way to apply them to a current drawing. In the Annotation section under Format there are no "styles" listed - not even the default.
So, how is one able to populate the list so one may choose a specific style or another? Or, is there somewhere else I should be looking?
BTW...AutoCAD Inventor 2012
How do I dimension, and assign editable parameters between different extrusions on one part, to change the height, width, etc?
View 9 Replies View RelatedUsing the Hole command, I want to locate / reference off datums, this is something I can do in Pro-E. It's not a choice, that I can find.
View 8 Replies View RelatedI trying to figure out a way of dimensioning a curve for fabrication in inventor. The way i have done this before was to provide a chart of X and Y dimensions of points along the curve. See the attached drawing.
View 6 Replies View RelatedI have run across a situation that I have not been able to find having been previously asked. I have attached the file of what I am working on.
I have 2 dimensions to the implied intersection, but how do I put the dimension when there are 2 implied intersections? Such as along the bottom of the part.
I have a couple of quick questions about dimensioning holes in drawings .
First, if I have a hole in a rod or shaft so the surface isn't a full circle I get the dimension as a radius. Can I change it to a diameter?
Second, in a model, how do I dimension or measure to the edge of a round rather than to it's center? In SW I could hold the shift key while selecting, is there a similar method here?
I design molds for the rubber industry and I was using Acad 2000; I am just now starting to use inventor. I need to used the ordinate dimensioning although I need the dimension to be given as a diameter and not as a radius. Is there anyway to scale the ordinate dimension automatically as 2:1? This way when I give the prints to the tool room they don't have to manually double every diametrical dimension. The prints that I draw only show half of the mold, there for needing a 2:1 dimension scale.
View 9 Replies View Related